Gridstate
ApiV1DocketsControlnumberFilings

List official PUCT docket filing metadata

GET
/v1/dockets/{controlNumber}/filings

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

controlNumber*string

Query Parameters

cursor?string
limit?integer
Range1 <= value <= 500

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/dockets/string/filings"
{  "data": [    {      "id": "string",      "sourceId": "string",      "assetHash": "string",      "controlNumber": "string",      "itemNumber": 0,      "filedAt": "2019-08-24",      "filingParty": "string",      "description": "string",      "documentUrl": "http://example.com",      "sourceLocator": "string",      "observedAt": "string",      "evidence": {        "assertionType": "observed",        "authority": "official_filing",        "sourceLocator": "string"      },      "qualityFlags": [        {          "code": "string",          "severity": "info",          "field": "string",          "message": "string"        }      ]    }  ],  "meta": {    "hasMore": true,    "limit": 1,    "nextCursor": "string",    "order": "id_asc"  }}